import {
  primeAutoCompleteDefinition,
  primeCascadeSelectDefinition,
  primeCheckboxDefinition,
  primeColorPickerDefinition,
  primeDatePickerDefinition,
  primeEditorDefinition,
  primeInputMaskDefinition,
  primeInputNumberDefinition,
  primeInputOtpDefinition,
  primeInputTextDefinition,
  primeKnobDefinition,
  primeListboxDefinition,
  primeMultiSelectDefinition,
  primePasswordDefinition,
  primeRadioButtonDefinition,
  primeRatingDefinition,
  primeSelectButtonDefinition,
  primeSelectDefinition,
  primeSliderDefinition,
  primeTextareaDefinition,
  primeToggleButtonDefinition,
  primeToggleSwitchDefinition,
  primeTreeSelectDefinition
} from "./input.mjs";
import {
  primeOutputBooleanDefinition,
  primeOutputDateDefinition,
  primeOutputDurationDefinition,
  primeOutputLinkDefinition,
  primeOutputListDefinition,
  primeOutputNumberDefinition,
  primeOutputReferenceDefinition,
  primeOutputTextDefinition
} from "./output.mjs";
export const wrappedPrimeInputs = ["AutoComplete", "CascadeSelect", "Checkbox", "Chip", "ColorPicker", "DatePicker", "Editor", "InputMask", "InputNumber", "InputOtp", "InputText", "Knob", "Listbox", "MultiSelect", "Password", "RadioButton", "Rating", "Select", "SelectButton", "Slider", "Textarea", "ToggleButton", "ToggleSwitch", "TreeSelect"];
export const primeInputs = {
  primeAutoComplete: primeAutoCompleteDefinition,
  primeInputText: primeInputTextDefinition,
  primeInputNumber: primeInputNumberDefinition,
  primeInputMask: primeInputMaskDefinition,
  primePassword: primePasswordDefinition,
  primeCheckbox: primeCheckboxDefinition,
  primeToggleSwitch: primeToggleSwitchDefinition,
  primeTextarea: primeTextareaDefinition,
  primeEditor: primeEditorDefinition,
  primeSelect: primeSelectDefinition,
  primeMultiSelect: primeMultiSelectDefinition,
  primeDatePicker: primeDatePickerDefinition,
  primeSlider: primeSliderDefinition,
  primeKnob: primeKnobDefinition,
  primeRating: primeRatingDefinition,
  primeRadioButton: primeRadioButtonDefinition,
  primeColorPicker: primeColorPickerDefinition,
  primeToggleButton: primeToggleButtonDefinition,
  primeListbox: primeListboxDefinition,
  primeSelectButton: primeSelectButtonDefinition,
  primeCascadeSelect: primeCascadeSelectDefinition,
  primeTreeSelect: primeTreeSelectDefinition,
  primeInputOtp: primeInputOtpDefinition
};
export const primeOutputs = {
  primeOutputText: primeOutputTextDefinition,
  primeOutputLink: primeOutputLinkDefinition,
  primeOutputReference: primeOutputReferenceDefinition,
  primeOutputNumber: primeOutputNumberDefinition,
  primeOutputDate: primeOutputDateDefinition,
  primeOutputBoolean: primeOutputBooleanDefinition,
  primeOutputDuration: primeOutputDurationDefinition,
  primeOutputList: primeOutputListDefinition
};
